Index: applications/editors/josm/plugins/turnrestrictions/src/org/openstreetmap/josm/plugins/turnrestrictions/CreateOrEditTurnRestrictionAction.java
===================================================================
--- applications/editors/josm/plugins/turnrestrictions/src/org/openstreetmap/josm/plugins/turnrestrictions/CreateOrEditTurnRestrictionAction.java	(revision 23254)
+++ applications/editors/josm/plugins/turnrestrictions/src/org/openstreetmap/josm/plugins/turnrestrictions/CreateOrEditTurnRestrictionAction.java	(revision 23510)
@@ -7,7 +7,4 @@
 import java.util.logging.Logger;
 
-import javax.swing.ActionMap;
-import javax.swing.InputMap;
-import javax.swing.JComponent;
 import javax.swing.KeyStroke;
 
@@ -30,30 +27,5 @@
 public class CreateOrEditTurnRestrictionAction extends JosmAction {
     static private final Logger logger = Logger.getLogger(CreateOrEditTurnRestrictionAction.class.getName());
-
-    /**
-     * Installs the global key stroke with which creating/editing a turn restriction
-     * is triggered.
-     *
-     * @param keyStroke the key stroke
-     */
-    static public void install(KeyStroke keyStroke){
-        InputMap im = Main.contentPane.getInputMap(JComponent.WHEN_IN_FOCUSED_WINDOW);
-        Object actionMapKey = im.get(keyStroke);
-        if (actionMapKey != null && !actionMapKey.toString().equals("turnrestrictions:create-or-edit")) {
-            System.out.println(tr("Warning: turnrestrictions plugin replaces already existing action ''{0}'' behind shortcut ''{1}'' by action ''{2}''", actionMapKey.toString(), keyStroke.toString(), "turnrestrictions:create-or-edit"));
-        }
-        KeyStroke[] keys = im.keys();
-        if (keys != null){
-            for(KeyStroke ks: im.keys()){
-                if (im.get(ks).equals("turnrestrictions:create-or-edit")) {
-                    im.remove(ks);
-                }
-            }
-        }
-        im.put(keyStroke, "turnrestrictions:create-or-edit");
-        ActionMap am = Main.contentPane.getActionMap();
-        am.put("turnrestrictions:create-or-edit", getInstance());
-    }
-
+  
     /**
      * Installs  global key stroke configured in the preferences.
@@ -68,5 +40,5 @@
             key = KeyStroke.getKeyStroke("shift ctrl T");
         }
-        install(key);
+        Main.registerActionShortcut(getInstance(), key);
     }
 
Index: applications/editors/josm/plugins/turnrestrictions/src/org/openstreetmap/josm/plugins/turnrestrictions/TurnRestrictionBuilder.java
===================================================================
--- applications/editors/josm/plugins/turnrestrictions/src/org/openstreetmap/josm/plugins/turnrestrictions/TurnRestrictionBuilder.java	(revision 23254)
+++ applications/editors/josm/plugins/turnrestrictions/src/org/openstreetmap/josm/plugins/turnrestrictions/TurnRestrictionBuilder.java	(revision 23510)
@@ -16,5 +16,5 @@
  * TurnRestrictionBuilder creates a turn restriction and initializes it with
  * objects from a selection of OSM primitives, i.e. the current selection
- * in a {@see OsmDataLayer}.
+ * in a {@link OsmDataLayer}.
  *
  */
Index: applications/editors/josm/plugins/turnrestrictions/src/org/openstreetmap/josm/plugins/turnrestrictions/dnd/PrimitiveIdListTransferHandler.java
===================================================================
--- applications/editors/josm/plugins/turnrestrictions/src/org/openstreetmap/josm/plugins/turnrestrictions/dnd/PrimitiveIdListTransferHandler.java	(revision 23254)
+++ applications/editors/josm/plugins/turnrestrictions/src/org/openstreetmap/josm/plugins/turnrestrictions/dnd/PrimitiveIdListTransferHandler.java	(revision 23510)
@@ -11,10 +11,10 @@
 
 /**
- * PrimitiveIdListTransferHandler is a transfer handler for components which 
- * provide and/or accept a list of {@see PrimitiveId} via copy/paste or
- * drag-and-drop.
+ * <p>PrimitiveIdListTransferHandler is a transfer handler for components which 
+ * provide and/or accept a list of {@link PrimitiveId} via copy/paste or
+ * drag-and-drop.</p>
  * 
- * It creates a {@see Transferable} by retrieving the list of primitive IDs
- * from a {@see PrimitiveIdListProvider}.
+ * <p>It creates a {@link Transferable} by retrieving the list of primitive IDs
+ * from a {@link PrimitiveIdListProvider}.</p>
  * 
  */
@@ -24,8 +24,8 @@
     
     /**
-     * Replies true if {@code transferFlavors} includes the data flavor {@see PrimitiveIdTransferable#PRIMITIVE_ID_LIST_FLAVOR}.
+     * Replies true if {@code transferFlavors} includes the data flavor {@link PrimitiveIdTransferable#PRIMITIVE_ID_LIST_FLAVOR}.
 
      * @param transferFlavors an array of transferFlavors
-     * @return true if {@code transferFlavors} includes the data flavor {@see PrimitiveIdTransferable#PRIMITIVE_ID_LIST_FLAVOR}.
+     * @return true if {@code transferFlavors} includes the data flavor {@link PrimitiveIdTransferable#PRIMITIVE_ID_LIST_FLAVOR}.
      */
     public static boolean isSupportedFlavor(DataFlavor[] transferFlavors) {
@@ -46,6 +46,4 @@
         this.provider = provider;
     }
-
-    
     
     protected Transferable createTransferable(JComponent c) {
Index: applications/editors/josm/plugins/turnrestrictions/src/org/openstreetmap/josm/plugins/turnrestrictions/dnd/PrimitiveIdTransferable.java
===================================================================
--- applications/editors/josm/plugins/turnrestrictions/src/org/openstreetmap/josm/plugins/turnrestrictions/dnd/PrimitiveIdTransferable.java	(revision 23254)
+++ applications/editors/josm/plugins/turnrestrictions/src/org/openstreetmap/josm/plugins/turnrestrictions/dnd/PrimitiveIdTransferable.java	(revision 23510)
@@ -13,5 +13,5 @@
 
 /**
- * To be used for Drag-and-Drop of a set of {@see PrimitiveId}s between
+ * To be used for Drag-and-Drop of a set of {@link PrimitiveId}s between
  * two components. 
  *
@@ -24,8 +24,8 @@
     
     /** 
-     * this transferable supports two flavors: (1) {@see #PRIMITIVE_ID_LIST_FLAVOR} and
-     * (2) {@see DataFlavor#stringFlavor}.
+     * this transferable supports two flavors: (1) {@link #PRIMITIVE_ID_LIST_FLAVOR} and
+     * (2) {@link DataFlavor#stringFlavor}.
      * 
-     * See also {@see #getPrimitiveIds()} and {@see #getAsString()}
+     * See also {@link #getPrimitiveIds()} and {@link #getAsString()}
      */
     static public final DataFlavor[] SUPPORTED_FLAVORS = new DataFlavor[] {
@@ -38,5 +38,5 @@
     
     /**
-     * Creates a transferable from a collection of {@see PrimitiveId}s
+     * Creates a transferable from a collection of {@link PrimitiveId}s
      * 
      * @param ids
@@ -50,9 +50,9 @@
     
     /**
-     * If flavor is {@see #PRIMITIVE_ID_SET_FLAVOR}, replies a the list of
-     * transferred {@see PrimitiveId}s 
+     * <p>If flavor is {@link #PRIMITIVE_ID_SET_FLAVOR}, replies a the list of
+     * transferred {@link PrimitiveId}s</p>
      * 
-     * If flavor is {@see DataFlavor#stringFlavor}, replies a string representation
-     * of the list of transferred {@see PrimitiveId}s
+     * <p>If flavor is {@link DataFlavor#stringFlavor}, replies a string representation
+     * of the list of transferred {@link PrimitiveId}s</p>
      */
     public Object getTransferData(DataFlavor flavor)
Index: applications/editors/josm/plugins/turnrestrictions/src/org/openstreetmap/josm/plugins/turnrestrictions/editor/BasicEditorPanel.java
===================================================================
--- applications/editors/josm/plugins/turnrestrictions/src/org/openstreetmap/josm/plugins/turnrestrictions/editor/BasicEditorPanel.java	(revision 23254)
+++ applications/editors/josm/plugins/turnrestrictions/src/org/openstreetmap/josm/plugins/turnrestrictions/editor/BasicEditorPanel.java	(revision 23510)
@@ -156,5 +156,5 @@
     /**
      * Initializes the set of icons used from the preference key
-     * {@see PreferenceKeys#ROAD_SIGNS}.
+     * {@link PreferenceKeys#ROAD_SIGNS}.
      * 
      * @param prefs the JOSM preferences 
Index: applications/editors/josm/plugins/turnrestrictions/src/org/openstreetmap/josm/plugins/turnrestrictions/editor/ExceptValueModel.java
===================================================================
--- applications/editors/josm/plugins/turnrestrictions/src/org/openstreetmap/josm/plugins/turnrestrictions/editor/ExceptValueModel.java	(revision 23254)
+++ applications/editors/josm/plugins/turnrestrictions/src/org/openstreetmap/josm/plugins/turnrestrictions/editor/ExceptValueModel.java	(revision 23510)
@@ -44,5 +44,4 @@
     private boolean isStandard = true;
     private final Set<String> vehicleExceptions = new HashSet<String>();
-    
     
     protected void parseValue(String value) {
Index: applications/editors/josm/plugins/turnrestrictions/src/org/openstreetmap/josm/plugins/turnrestrictions/editor/JosmSelectionListModel.java
===================================================================
--- applications/editors/josm/plugins/turnrestrictions/src/org/openstreetmap/josm/plugins/turnrestrictions/editor/JosmSelectionListModel.java	(revision 23254)
+++ applications/editors/josm/plugins/turnrestrictions/src/org/openstreetmap/josm/plugins/turnrestrictions/editor/JosmSelectionListModel.java	(revision 23510)
@@ -3,7 +3,4 @@
 import java.util.ArrayList;
 import java.util.Collection;
-import java.util.Collections;
-import java.util.Comparator;
-import java.util.HashMap;
 import java.util.HashSet;
 import java.util.List;
@@ -17,5 +14,4 @@
 import org.openstreetmap.josm.data.SelectionChangedListener;
 import org.openstreetmap.josm.data.osm.OsmPrimitive;
-import org.openstreetmap.josm.data.osm.OsmPrimitiveType;
 import org.openstreetmap.josm.data.osm.PrimitiveId;
 import org.openstreetmap.josm.data.osm.event.AbstractDatasetChangedEvent;
@@ -28,5 +24,4 @@
 import org.openstreetmap.josm.data.osm.event.TagsChangedEvent;
 import org.openstreetmap.josm.data.osm.event.WayNodesChangedEvent;
-import org.openstreetmap.josm.gui.DefaultNameFormatter;
 import org.openstreetmap.josm.gui.MapView.EditLayerChangeListener;
 import org.openstreetmap.josm.gui.layer.OsmDataLayer;
Index: applications/editors/josm/plugins/turnrestrictions/src/org/openstreetmap/josm/plugins/turnrestrictions/editor/JosmSelectionPanel.java
===================================================================
--- applications/editors/josm/plugins/turnrestrictions/src/org/openstreetmap/josm/plugins/turnrestrictions/editor/JosmSelectionPanel.java	(revision 23254)
+++ applications/editors/josm/plugins/turnrestrictions/src/org/openstreetmap/josm/plugins/turnrestrictions/editor/JosmSelectionPanel.java	(revision 23510)
@@ -22,8 +22,7 @@
 import javax.swing.TransferHandler;
 
-import org.openstreetmap.josm.data.osm.DataSet;
 import org.openstreetmap.josm.data.osm.event.DatasetEventManager;
+import org.openstreetmap.josm.data.osm.event.DatasetEventManager.FireMode;
 import org.openstreetmap.josm.data.osm.event.SelectionEventManager;
-import org.openstreetmap.josm.data.osm.event.DatasetEventManager.FireMode;
 import org.openstreetmap.josm.gui.MapView;
 import org.openstreetmap.josm.gui.OsmPrimitivRenderer;
Index: applications/editors/josm/plugins/turnrestrictions/src/org/openstreetmap/josm/plugins/turnrestrictions/editor/RelationMemberColumnModel.java
===================================================================
--- applications/editors/josm/plugins/turnrestrictions/src/org/openstreetmap/josm/plugins/turnrestrictions/editor/RelationMemberColumnModel.java	(revision 23254)
+++ applications/editors/josm/plugins/turnrestrictions/src/org/openstreetmap/josm/plugins/turnrestrictions/editor/RelationMemberColumnModel.java	(revision 23510)
@@ -10,6 +10,6 @@
 
 /**
- * RelationMemberColumnModel is the column model for the table of relation members
- * displayed in the {@see AdvancedEditorPanel}.
+ * <strong>RelationMemberColumnModel</strong> is the column model for the table of relation members
+ * displayed in the {@link AdvancedEditorPanel}.
  */
 public class RelationMemberColumnModel extends DefaultTableColumnModel{
Index: applications/editors/josm/plugins/turnrestrictions/src/org/openstreetmap/josm/plugins/turnrestrictions/editor/RelationMemberEditorModel.java
===================================================================
--- applications/editors/josm/plugins/turnrestrictions/src/org/openstreetmap/josm/plugins/turnrestrictions/editor/RelationMemberEditorModel.java	(revision 23254)
+++ applications/editors/josm/plugins/turnrestrictions/src/org/openstreetmap/josm/plugins/turnrestrictions/editor/RelationMemberEditorModel.java	(revision 23510)
@@ -32,7 +32,7 @@
     
     /**
-     * Creates a new model in the context of an {@see OsmDataLayer}. Internally allocates
-     * a row and a column selection model, see {@see #getRowSelectionModel()} and 
-     * {@see #getColSelectionModel()}.
+     * Creates a new model in the context of an {@link OsmDataLayer}. Internally allocates
+     * a row and a column selection model, see {@link #getRowSelectionModel()} and 
+     * {@link #getColSelectionModel()}.
      * 
      * @param layer the data layer. Must not be null.
@@ -47,5 +47,5 @@
 
     /**
-     *  Creates a new model in the context of an {@see OsmDataLayer}
+     *  Creates a new model in the context of an {@link OsmDataLayer}
      *  
      * @param layer layer the data layer. Must not be null.
@@ -84,8 +84,8 @@
     
     /**
-     * Replies the set of {@see OsmPrimitive}s with the role {@code role}. If no
+     * Replies the set of {@link OsmPrimitive}s with the role {@code role}. If no
      * such primitives exists, the empty set is returned.
      * 
-     * @return the set of {@see OsmPrimitive}s with the role {@code role}
+     * @return the set of {@link OsmPrimitive}s with the role {@code role}
      */
     protected Set<OsmPrimitive> getPrimitivesWithRole(String role) {
@@ -103,8 +103,8 @@
     
     /**
-     * Replies the list of {@see RelationMemberModel}s with the role {@code role}. If no
+     * Replies the list of {@link RelationMemberModel}s with the role {@code role}. If no
      * such primitives exists, the empty set is returned.
      * 
-     * @return the set of {@see RelationMemberModel}s with the role {@code role}
+     * @return the set of {@link RelationMemberModel}s with the role {@code role}
      */
     protected List<RelationMemberModel> getRelationMembersWithRole(String role) {
@@ -138,8 +138,8 @@
         
     /**
-     * Replies the set of {@see OsmPrimitive}s with the role 'from'. If no
+     * Replies the set of {@link OsmPrimitive}s with the role 'from'. If no
      * such primitives exists, the empty set is returned.
      * 
-     * @return the set of {@see OsmPrimitive}s with the role 'from'
+     * @return the set of {@link OsmPrimitive}s with the role 'from'
      */
     public Set<OsmPrimitive> getFromPrimitives() {
@@ -148,8 +148,8 @@
     
     /**
-     * Replies the set of {@see OsmPrimitive}s with the role 'to'. If no
+     * Replies the set of {@link OsmPrimitive}s with the role 'to'. If no
      * such primitives exists, the empty set is returned.
      * 
-     * @return the set of {@see OsmPrimitive}s with the role 'from'
+     * @return the set of {@link OsmPrimitive}s with the role 'from'
      */
     public Set<OsmPrimitive> getToPrimitives() {
@@ -175,5 +175,5 @@
      * 
      * null vias are skipped. A via must belong to the dataset of the layer in whose context
-     * this editor is working, otherwise an {@see IllegalArgumentException} is thrown.
+     * this editor is working, otherwise an {@link IllegalArgumentException} is thrown.
      * 
      * @param vias the vias.
@@ -262,8 +262,8 @@
     
     /**
-     * Replies the set of {@see OsmPrimitive}s referred to by members in
+     * Replies the set of {@link OsmPrimitive}s referred to by members in
      * this model.
      * 
-     * @return the set of {@see OsmPrimitive}s referred to by members in
+     * @return the set of {@link OsmPrimitive}s referred to by members in
      * this model.
      */
@@ -404,11 +404,11 @@
     
     /**
-     * Inserts a list of new relation members with the empty role for the primitives
+     * <p>Inserts a list of new relation members with the empty role for the primitives
      * with id in {@code ids}. Inserts the new primitives at the position of the first
-     * selected row. If no row is selected, at the end of the list. 
-     * 
-     *  null values are skipped. If there is an id for which there is no primitive in the context 
-     *  layer, if the primitive is deleted or invisible, an {@see IllegalArgumentException}
-     *  is thrown and nothing is inserted. 
+     * selected row. If no row is selected, at the end of the list.</p>
+     * 
+     * <p> null values are skipped. If there is an id for which there is no primitive in the context 
+     *  layer, if the primitive is deleted or invisible, an {@link IllegalArgumentException}
+     *  is thrown and nothing is inserted.</p>
      * 
      * @param ids the list of ids. Ignored if null.
Index: applications/editors/josm/plugins/turnrestrictions/src/org/openstreetmap/josm/plugins/turnrestrictions/editor/RelationMemberModel.java
===================================================================
--- applications/editors/josm/plugins/turnrestrictions/src/org/openstreetmap/josm/plugins/turnrestrictions/editor/RelationMemberModel.java	(revision 23254)
+++ applications/editors/josm/plugins/turnrestrictions/src/org/openstreetmap/josm/plugins/turnrestrictions/editor/RelationMemberModel.java	(revision 23510)
@@ -10,5 +10,5 @@
 /**
  * RelationMemberModel is a mutable relation member. In contrast to
- * {@see RelationMember} it doesn't keep references to the referred
+ * {@link RelationMember} it doesn't keep references to the referred
  * primitive. Internally, it only keeps their the unique id.
  *
Index: applications/editors/josm/plugins/turnrestrictions/src/org/openstreetmap/josm/plugins/turnrestrictions/editor/RelationMemberTable.java
===================================================================
--- applications/editors/josm/plugins/turnrestrictions/src/org/openstreetmap/josm/plugins/turnrestrictions/editor/RelationMemberTable.java	(revision 23254)
+++ applications/editors/josm/plugins/turnrestrictions/src/org/openstreetmap/josm/plugins/turnrestrictions/editor/RelationMemberTable.java	(revision 23510)
@@ -3,5 +3,4 @@
 import static org.openstreetmap.josm.tools.I18n.tr;
 
-import java.awt.MenuItem;
 import java.awt.Toolkit;
 import java.awt.datatransfer.Clipboard;
@@ -22,5 +21,4 @@
 
 import javax.swing.AbstractAction;
-import javax.swing.Action;
 import javax.swing.JComponent;
 import javax.swing.JMenuItem;
@@ -286,5 +284,5 @@
         
         /**
-         * Replies true if {@code transferFlavors} includes the data flavor {@see PrimitiveIdTransferable#PRIMITIVE_ID_LIST_FLAVOR}.
+         * Replies true if {@code transferFlavors} includes the data flavor {@link PrimitiveIdTransferable#PRIMITIVE_ID_LIST_FLAVOR}.
 
          * @param transferFlavors an array of transferFlavors
Index: applications/editors/josm/plugins/turnrestrictions/src/org/openstreetmap/josm/plugins/turnrestrictions/editor/TurnRestrictionComboBox.java
===================================================================
--- applications/editors/josm/plugins/turnrestrictions/src/org/openstreetmap/josm/plugins/turnrestrictions/editor/TurnRestrictionComboBox.java	(revision 23254)
+++ applications/editors/josm/plugins/turnrestrictions/src/org/openstreetmap/josm/plugins/turnrestrictions/editor/TurnRestrictionComboBox.java	(revision 23510)
@@ -4,5 +4,4 @@
 
 import org.openstreetmap.josm.data.Preferences;
-import org.openstreetmap.josm.plugins.turnrestrictions.preferences.PreferenceKeys;
 /**
  * A combo box for selecting a turn restriction type.
@@ -32,5 +31,5 @@
     /**
      * Initializes the set of icons used from the preference key
-     * {@see PreferenceKeys#ROAD_SIGNS}.
+     * {@link PreferenceKeys#ROAD_SIGNS}.
      * 
      * @param prefs the JOSM preferences 
Index: applications/editors/josm/plugins/turnrestrictions/src/org/openstreetmap/josm/plugins/turnrestrictions/editor/TurnRestrictionEditor.java
===================================================================
--- applications/editors/josm/plugins/turnrestrictions/src/org/openstreetmap/josm/plugins/turnrestrictions/editor/TurnRestrictionEditor.java	(revision 23254)
+++ applications/editors/josm/plugins/turnrestrictions/src/org/openstreetmap/josm/plugins/turnrestrictions/editor/TurnRestrictionEditor.java	(revision 23510)
@@ -61,11 +61,11 @@
     
     /** the property name for the current turn restriction
-     * @see #setRelation(Relation)
-     * @see #getRelation()
+     * @link #setRelation(Relation)
+     * @link #getRelation()
      */
     static public final String TURN_RESTRICION_PROP = RelationEditor.class.getName() + ".turnRestriction";
 
     /** the property name for the current relation snapshot
-     * @see #getRelationSnapshot()
+     * @link #getRelationSnapshot()
      */
     static public final String TURN_RESTRICION_SNAPSHOT_PROP = RelationEditor.class.getName() + ".turnRestrictionSnapshot";
@@ -213,5 +213,5 @@
     *
     * @param owner the component relative to which the dialog is displayed 
-    * @param layer  the {@see OsmDataLayer} in whose context a relation is edited. Must not be null.
+    * @param layer  the {@link OsmDataLayer} in whose context a relation is edited. Must not be null.
     * @throws IllegalArgumentException thrown if layer is null
     */
@@ -224,5 +224,5 @@
      *
      * @param owner the component relative to which the dialog is displayed 
-     * @param layer  the {@see OsmDataLayer} in whose context a relation is edited. Must not be null.
+     * @param layer  the {@link OsmDataLayer} in whose context a relation is edited. Must not be null.
      * @param turnRestriction the relation. Can be null if a new relation is to be edited.
      * @throws IllegalArgumentException thrown if layer is null
@@ -246,15 +246,15 @@
 
     /**
-     * Sets the currently edited turn restriction. Creates a snapshot of the current
-     * state of the turn restriction. See {@see #getTurnRestrictionSnapshot()}
-     *
-     * {@code turnRestriction} can be null if a new restriction is created. A turn
+     * <p>Sets the currently edited turn restriction. Creates a snapshot of the current
+     * state of the turn restriction. See {@link #getTurnRestrictionSnapshot()}</p>
+     *
+     * <p>{@code turnRestriction} can be null if a new restriction is created. A turn
      * restriction which isn't assigned to a data set is allowed too. If {@code turnRestriction}
-     * is already assigned to a dataset, the dataset of {@see #getLayer()} is required, otherwise
-     * a {@see IllegalArgumentException} is thrown.
+     * is already assigned to a dataset, the dataset of {@link #getLayer()} is required, otherwise
+     * a {@link IllegalArgumentException} is thrown.</p>
      * 
      * @param turnRestriction the turn restriction
      * @throws IllegalArgumentException thrown if {@code turnRestriction} belongs to a different dataset than
-     * that owned by the layer {@see #getLayer()}
+     * that owned by the layer {@link #getLayer()}
      */
     protected void setTurnRestriction(Relation turnRestriction) {      
@@ -287,8 +287,8 @@
     
     /**
-     * Replies the {@see OsmDataLayer} in whose context this relation editor is
+     * Replies the {@link OsmDataLayer} in whose context this relation editor is
      * open
      *
-     * @return the {@see OsmDataLayer} in whose context this relation editor is
+     * @return the {@link OsmDataLayer} in whose context this relation editor is
      * open
      */
@@ -317,8 +317,8 @@
     
     /**
-     * Replies true if the currently edited turn restriction has been changed elsewhere.
-     *
-     * In this case a turn restriction editor can't apply updates to the turn restriction
-     * directly. Rather, it has to create a conflict.
+     * <p>Replies true if the currently edited turn restriction has been changed elsewhere.</p>
+     *
+     * <p>In this case a turn restriction editor can't apply updates to the turn restriction
+     * directly. Rather, it has to create a conflict.</p>
      *
      * @return true if the currently edited turn restriction has been changed elsewhere.
@@ -469,10 +469,10 @@
         
         /**
-         * Asks the user how to proceed if a turn restriction refers to deleted or invisible
-         * primitives.
+         * <p>Asks the user how to proceed if a turn restriction refers to deleted or invisible
+         * primitives.</p>
          * 
-         * If this method returns true the respective members should be removed and the turn
+         * <p>If this method returns true the respective members should be removed and the turn
          * restriction should be saved anyway. If it replies false, the turn restriction must not
-         * be saved.  
+         * be saved. </p>
          * 
          * @param deletedMembers the list of members referring to deleted or invisible primitives  
@@ -866,10 +866,10 @@
     
     /**
-     * Listens to changes of the preference {@see PreferenceKeys#ROAD_SIGNS}
-     * and refreshes the set of road icons.
+     * <p>Listens to changes of the preference {@link PreferenceKeys#ROAD_SIGNS}
+     * and refreshes the set of road icons.</p>
      * 
-     * Listens to changes of the preference {@see PreferenceKeys#SHOW_VIAS_IN_BASIC_EDITOR}
-     * and toggles the visibility af the list of via-objects in the Basic
-     * Editor. 
+     * <p>Listens to changes of the preference {@link PreferenceKeys#SHOW_VIAS_IN_BASIC_EDITOR}
+     * and toggles the visibility of the list of via-objects in the Basic
+     * Editor.</p>
      *
      */
Index: applications/editors/josm/plugins/turnrestrictions/src/org/openstreetmap/josm/plugins/turnrestrictions/editor/TurnRestrictionEditorManager.java
===================================================================
--- applications/editors/josm/plugins/turnrestrictions/src/org/openstreetmap/josm/plugins/turnrestrictions/editor/TurnRestrictionEditorManager.java	(revision 23254)
+++ applications/editors/josm/plugins/turnrestrictions/src/org/openstreetmap/josm/plugins/turnrestrictions/editor/TurnRestrictionEditorManager.java	(revision 23510)
@@ -29,7 +29,7 @@
 
     /**
-     * Replies the singleton {@see TurnRestrictionEditorManager}
-     *
-     * @return the singleton {@see TurnRestrictionEditorManager}
+     * Replies the singleton {@link TurnRestrictionEditorManager}
+     *
+     * @return the singleton {@link TurnRestrictionEditorManager}
      */
     static public TurnRestrictionEditorManager getInstance() {
@@ -43,5 +43,5 @@
     /**
      * Helper class for keeping the context of a turn restriction editor. A turn
-     * restriction editor is open for turn restriction in a  {@see OsmDataLayer}
+     * restriction editor is open for turn restriction in a  {@link OsmDataLayer}
      */
     static private class DialogContext {
@@ -107,5 +107,5 @@
     /**
      * Register the editor for a turn restriction managed by a
-     * {@see OsmDataLayer}.
+     * {@link OsmDataLayer}.
      *
      * @param layer the layer
@@ -177,5 +177,5 @@
      * is currently open.
      *
-     * @see #isOpenInEditor(OsmDataLayer, Relation)
+     * @link #isOpenInEditor(OsmDataLayer, Relation)
      */
     public TurnRestrictionEditor getEditorForRelation(OsmDataLayer layer, Relation relation) {
@@ -201,5 +201,5 @@
 
     /**
-     * Positions an {@see TurnRestrictionEditor} centered on the screen
+     * Positions an {@link TurnRestrictionEditor} centered on the screen
      *
      * @param editor the editor
@@ -216,9 +216,9 @@
 
     /**
-     * Replies true, if there is another open {@see TurnRestrictionEditor} whose
+     * Replies true, if there is another open {@link TurnRestrictionEditor} whose
      * upper left corner is close to <code>p</code>.
      *
      * @param p  the reference point to check
-     * @return true, if there is another open {@see TurnRestrictionEditor} whose
+     * @return true, if there is another open {@link TurnRestrictionEditor} whose
      * upper left corner is close to <code>p</code>.
      */
@@ -234,6 +234,6 @@
 
     /**
-     * Positions a {@see TurnRestrictionEditor} close to the center of the screen, in such
-     * a way, that it doesn't entirely cover another {@see TurnRestrictionEditor}
+     * Positions a {@link TurnRestrictionEditor} close to the center of the screen, in such
+     * a way, that it doesn't entirely cover another {@link TurnRestrictionEditor}
      *
      * @param editor
@@ -254,5 +254,5 @@
 
     /**
-     * Positions a {@see TurnRestrictionEditor} on the screen. Tries to center it on the
+     * Positions a {@link TurnRestrictionEditor} on the screen. Tries to center it on the
      * screen. If it hides another instance of an editor at the same position this
      * method tries to reposition <code>editor</code> by moving it slightly down and
Index: applications/editors/josm/plugins/turnrestrictions/src/org/openstreetmap/josm/plugins/turnrestrictions/editor/TurnRestrictionEditorModel.java
===================================================================
--- applications/editors/josm/plugins/turnrestrictions/src/org/openstreetmap/josm/plugins/turnrestrictions/editor/TurnRestrictionEditorModel.java	(revision 23254)
+++ applications/editors/josm/plugins/turnrestrictions/src/org/openstreetmap/josm/plugins/turnrestrictions/editor/TurnRestrictionEditorModel.java	(revision 23510)
@@ -71,5 +71,5 @@
     
     /**
-     * Creates a model in the context of a {@see OsmDataLayer}
+     * Creates a model in the context of a {@link OsmDataLayer}
      * 
      * @param layer the layer. Must not be null.
@@ -97,5 +97,5 @@
      * @exception IllegalArgumentException thrown if role is null
      */
-    public void setTurnRestrictionLeg(TurnRestrictionLegRole role, Way way) {
+    public void setTurnRestrictionLeg(TurnRestrictionLegRole role, Way way) throws IllegalArgumentException{
         CheckParameterUtil.ensureParameterNotNull(role, "role");
         switch(role){
@@ -136,13 +136,13 @@
     
     /**
-     * "Officially" a turn restriction should have exactly one member with 
-     * role {@see TurnRestrictionLegRole#FROM} and one member with role {@see TurnRestrictionLegRole#TO},
-     * both referring to an OSM {@see Way}. In order to deals with turn restrictions where these
+     * <p>"Officially" a turn restriction should have exactly one member with 
+     * role {@link TurnRestrictionLegRole#FROM FROM} and one member with role {@link TurnRestrictionLegRole#TO TO},
+     * both referring to an OSM {@link Way}. In order to deals with turn restrictions where these
      * integrity constraints are violated, this model also supports relation with multiple or no
-     * 'from' or 'to' members.
-     * 
-     * Replies the turn restriction legs with role {@code role}. If no leg with this
+     * 'from' or 'to' members.</p>
+     * 
+     * <p>Replies the turn restriction legs with role {@code role}. If no leg with this
      * role exists, an empty set is returned. If multiple legs exists, the set of referred
-     * primitives is returned.  
+     * primitives is returned.</p>  
      * 
      * @param role the role. Must not be null.
@@ -260,11 +260,11 @@
     
     /**
-     * Sets the list of vias for the edited turn restriction.
-     * 
-     * If {@code vias} is null, all vias are removed. All primitives
+     * <p>Sets the list of vias for the edited turn restriction.</p>
+     * 
+     * <p>If {@code vias} is null, all vias are removed. All primitives
      * in {@code vias} must be assigned to a dataset and the dataset
-     * must be equal to the dataset of this editor model, see {@see #getDataSet()}
-     * 
-     * null values in {@see vias} are skipped. 
+     * must be equal to the dataset of this editor model, see {@link #getDataSet()}</p>
+     * 
+     * <p>null values in {@link vias} are skipped.</p>
      * 
      * @param vias the list of vias 
@@ -285,5 +285,5 @@
     
     /**
-     * Registers this model with global event sources like {@see DatasetEventManager}
+     * Registers this model with global event sources like {@link DatasetEventManager}
      */
     public void registerAsEventListener(){
@@ -292,5 +292,5 @@
     
     /**
-     * Removes this model as listener from global event sources like  {@see DatasetEventManager}
+     * Removes this model as listener from global event sources like  {@link DatasetEventManager}
      */
     public void unregisterAsEventListener() {
Index: applications/editors/josm/plugins/turnrestrictions/src/org/openstreetmap/josm/plugins/turnrestrictions/editor/TurnRestrictionSelectionPopupPanel.java
===================================================================
--- applications/editors/josm/plugins/turnrestrictions/src/org/openstreetmap/josm/plugins/turnrestrictions/editor/TurnRestrictionSelectionPopupPanel.java	(revision 23254)
+++ applications/editors/josm/plugins/turnrestrictions/src/org/openstreetmap/josm/plugins/turnrestrictions/editor/TurnRestrictionSelectionPopupPanel.java	(revision 23510)
@@ -44,5 +44,5 @@
 
 /**
- * TurnRestrictionSelectionPopupPanel is displayed in a {@see Popup} to select whether
+ * TurnRestrictionSelectionPopupPanel is displayed in a {@link Popup} to select whether
  * the user wants to create a new turn restriction or whether he wants to edit one
  * of a list of turn restrictions.
@@ -59,6 +59,4 @@
     private JTable tblTurnRestrictions; 
     private OsmDataLayer layer;
-    
-    
     
     /**
Index: applications/editors/josm/plugins/turnrestrictions/src/org/openstreetmap/josm/plugins/turnrestrictions/editor/TurnRestrictionTypeRenderer.java
===================================================================
--- applications/editors/josm/plugins/turnrestrictions/src/org/openstreetmap/josm/plugins/turnrestrictions/editor/TurnRestrictionTypeRenderer.java	(revision 23254)
+++ applications/editors/josm/plugins/turnrestrictions/src/org/openstreetmap/josm/plugins/turnrestrictions/editor/TurnRestrictionTypeRenderer.java	(revision 23510)
@@ -55,5 +55,5 @@
     /**
      * Initializes the set of icons used from the preference key
-     * {@see PreferenceKeys#ROAD_SIGNS}.
+     * {@link PreferenceKeys#ROAD_SIGNS}.
      * 
      * @param prefs the JOSM preferences 
Index: applications/editors/josm/plugins/turnrestrictions/src/org/openstreetmap/josm/plugins/turnrestrictions/editor/ViaList.java
===================================================================
--- applications/editors/josm/plugins/turnrestrictions/src/org/openstreetmap/josm/plugins/turnrestrictions/editor/ViaList.java	(revision 23254)
+++ applications/editors/josm/plugins/turnrestrictions/src/org/openstreetmap/josm/plugins/turnrestrictions/editor/ViaList.java	(revision 23510)
@@ -39,8 +39,8 @@
 
 /**
- * ViaList is a JList which displays the 'via' members of a turn restriction.
+ * <p>ViaList is a JList which displays the 'via' members of a turn restriction.</p>
  * 
- * A ViaList is connected to a {@see TurnRestrictionEditorModel} through its
- * {@code ViaListModel}. 
+ * <p>A ViaList is connected to a {@link TurnRestrictionEditorModel} through its
+ * {@link ViaListModel}.</p> 
  * 
  */
Index: applications/editors/josm/plugins/turnrestrictions/src/org/openstreetmap/josm/plugins/turnrestrictions/list/TurnRestrictionCellRenderer.java
===================================================================
--- applications/editors/josm/plugins/turnrestrictions/src/org/openstreetmap/josm/plugins/turnrestrictions/list/TurnRestrictionCellRenderer.java	(revision 23254)
+++ applications/editors/josm/plugins/turnrestrictions/src/org/openstreetmap/josm/plugins/turnrestrictions/list/TurnRestrictionCellRenderer.java	(revision 23510)
@@ -37,5 +37,5 @@
  * 
  * It can be used a cell renderer in lists of turn restrictions and as cell renderer in
- * {@see JTable}s displaying turn restrictions. 
+ * {@link JTable}s displaying turn restrictions. 
  * 
  */
@@ -217,5 +217,5 @@
     /**
      * Initializes the set of icons used from the preference key
-     * {@see PreferenceKeys#ROAD_SIGNS}.
+     * {@link PreferenceKeys#ROAD_SIGNS}.
      * 
      * @param prefs the JOSM preferences 
Index: applications/editors/josm/plugins/turnrestrictions/src/org/openstreetmap/josm/plugins/turnrestrictions/list/TurnRestrictionsInDatasetListModel.java
===================================================================
--- applications/editors/josm/plugins/turnrestrictions/src/org/openstreetmap/josm/plugins/turnrestrictions/list/TurnRestrictionsInDatasetListModel.java	(revision 23254)
+++ applications/editors/josm/plugins/turnrestrictions/src/org/openstreetmap/josm/plugins/turnrestrictions/list/TurnRestrictionsInDatasetListModel.java	(revision 23510)
@@ -24,11 +24,11 @@
 
 /**
- * This is the list model for the list of turn restrictions in the current data set.
+ * <p>This is the list model for the list of turn restrictions in the current data set.</p>
  * 
- * The model is a {@see EditLayerChangeListener}. It initializes itself from the data set of
- * the current edit layer.
+ * <p>The model is a {@link EditLayerChangeListener}. It initializes itself from the data set of
+ * the current edit layer.</p>
  * 
- * The model is a {@see DataSetListener}. It updates itself to reflect the list of turn
- * restrictions in the current data set. 
+ * <p>The model is a {@link DataSetListener}. It updates itself to reflect the list of turn
+ * restrictions in the current data set.</p> 
  *
  */
Index: applications/editors/josm/plugins/turnrestrictions/src/org/openstreetmap/josm/plugins/turnrestrictions/list/TurnRestrictionsListDialog.java
===================================================================
--- applications/editors/josm/plugins/turnrestrictions/src/org/openstreetmap/josm/plugins/turnrestrictions/list/TurnRestrictionsListDialog.java	(revision 23254)
+++ applications/editors/josm/plugins/turnrestrictions/src/org/openstreetmap/josm/plugins/turnrestrictions/list/TurnRestrictionsListDialog.java	(revision 23510)
@@ -444,5 +444,5 @@
     
     /**
-     * Listens the changes of the preference {@see PreferenceKeys#ROAD_SIGNS}
+     * Listens the changes of the preference {@link PreferenceKeys#ROAD_SIGNS}
      * and refreshes the set of road icons 
      *
Index: applications/editors/josm/plugins/turnrestrictions/src/org/openstreetmap/josm/plugins/turnrestrictions/preferences/PreferenceKeys.java
===================================================================
--- applications/editors/josm/plugins/turnrestrictions/src/org/openstreetmap/josm/plugins/turnrestrictions/preferences/PreferenceKeys.java	(revision 23254)
+++ applications/editors/josm/plugins/turnrestrictions/src/org/openstreetmap/josm/plugins/turnrestrictions/preferences/PreferenceKeys.java	(revision 23510)
@@ -1,5 +1,4 @@
 package org.openstreetmap.josm.plugins.turnrestrictions.preferences;
 
-import javax.swing.KeyStroke;
 
 /**
@@ -34,5 +33,5 @@
     /**
      * The shortcut which triggers creating a new or editing and existing turn
-     * restriction. The value must be parseable by {@see KeyStroke#getKeyStroke(String)}.
+     * restriction. The value must be parseable by {@link KeyStroke#getKeyStroke(String)}.
      * If missing, the default value "ctrl shift T" is assumed.
      */
Index: applications/editors/josm/plugins/turnrestrictions/src/org/openstreetmap/josm/plugins/turnrestrictions/preferences/ShortcutPreferencePanel.java
===================================================================
--- applications/editors/josm/plugins/turnrestrictions/src/org/openstreetmap/josm/plugins/turnrestrictions/preferences/ShortcutPreferencePanel.java	(revision 23254)
+++ applications/editors/josm/plugins/turnrestrictions/src/org/openstreetmap/josm/plugins/turnrestrictions/preferences/ShortcutPreferencePanel.java	(revision 23510)
@@ -27,4 +27,5 @@
 import javax.swing.UIManager;
 
+import org.openstreetmap.josm.Main;
 import org.openstreetmap.josm.data.Preferences;
 import org.openstreetmap.josm.gui.widgets.HtmlPanel;
@@ -131,6 +132,6 @@
         KeyStroke ks = KeyStroke.getKeyStroke(code, modifiers);
         
-        pref.put(PreferenceKeys.EDIT_SHORTCUT, ks.toString());      
-        CreateOrEditTurnRestrictionAction.install(ks);
+        pref.put(PreferenceKeys.EDIT_SHORTCUT, ks.toString());     
+        Main.registerActionShortcut(CreateOrEditTurnRestrictionAction.getInstance(), ks);
     }
     
